Michael Erdely | 2 Oct 04:34 2009
Picon

CVS: cvs.openbsd.org: ports

CVSROOT:	/cvs
Module name:	ports
Changes by:	merdely <at> cvs.openbsd.org	2009/10/01 20:34:05

Modified files:
	sysutils/bacula: Makefile distinfo 
	sysutils/bacula/patches: patch-configure 
	                         patch-scripts_mtx-changer_in 
	                         patch-src_console_bconsole_conf_in 
	                         patch-src_dird_bacula-dir_conf_in 
	                         patch-src_qt-console_bat_conf_in 
	                         patch-src_qt-console_main_cpp 
	                         patch-src_stored_bacula-sd_conf_in 
	sysutils/bacula/pkg: DESCR-main PLIST-bat PLIST-main 
	                     PLIST-server 
Added files:
	sysutils/bacula/patches: patch-scripts_bat_desktop_in 
	                         patch-src_plugins_dir_Makefile_in 
	                         patch-src_plugins_fd_Makefile_in 
	                         patch-src_plugins_sd_Makefile_in 
	sysutils/bacula/pkg: PFRAG.shared-main PFRAG.shared-server 
Removed files:
	sysutils/bacula/patches: patch-src_filed_bacula-fd_conf_in 

Log message:
Update bacula to 3.0.2:
* Shared objects
* Virtual backups
* Duplicate Job Control
* TLS Authentication
* Exclude Dir Containing = <filename-string>
* Plugins including Exchange 2003/2007 Plugin
* libdbi backend abstraction
* Bat enhancements

Upgrading from 2.4.4 to 3.0.2 requires updating the database using
/usr/local/libexec/bacula/update_bacula_database.  Database upgrades
from older databases can be done with other scripts in
/usr/local/libexec/bacula/updatedb.  You can determine your database
version in mysql and postgresql with 'select * from version'.

As sthen <at>  reminded me and the documentation points out, when upgrading
between major versions (2.x.x -> 3.x.x), you should upgrade all of your
components at the same time due to protocol changes.

a *lot* of help from and ok sthen <at> 


Gmane